
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Constants in C++ / 憋错料</title>

    <meta name="description" content="Constants in C++ The first motivation for const seems to have been to eliminate the use of preprocessor #define for value substitution. It has since been put to use for pointers, function arguments, return types, class objects and member functions. (Page 334) 1 Value">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Constants in C++</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><P>The first motivation for <STRONG>const&nbsp;</STRONG>seems to have been to<br />
eliminate the use of preprocessor <STRONG>#define&nbsp;</STRONG>for value<br />
substitution. It has since been put to use for <STRONG>pointers</STRONG>,<br />
<STRONG>function arguments</STRONG>, <STRONG>return types</STRONG>,<br />
<STRONG>class objects</STRONG> and <STRONG>member<br />
functions</STRONG>.　　　　　　　　(Page 334)</p>
<p><P><STRONG>1 Value substitution　　　　　　　　(Page 334)</STRONG></p>
<p>Because the preprocessor simply does <STRONG>text replacement</STRONG> and<br />
has no concept nor facility for <STRONG>type checking</STRONG>.</p>
<p>const in header files　　　　　　　　　　(Page 335)</p>
<p>A <STRONG>const&nbsp;</STRONG>in C++ defaults to <STRONG>internal<br />
linkage</STRONG>; that is, it is visible only whthin the file where it is<br />
defined and cannot be seen at link time by other translation units. You must<br />
always<STRONG> assign a initial value to a const when you define it(but const<br />
member variable in class should not assign value when it is defined)</STRONG>,<br />
except when you make an explicit declaration using <STRONG>extern</STRONG>.</p>
<p>Normally, the C++ compiler <STRONG>avoids creating storage for a<br />
const</STRONG>, but instead <STRONG>holds the definition in its symbol<br />
table</STRONG>. When you use <STRONG>extern</STRONG> with<br />
<STRONG>const</STRONG>, however, you<STRONG> force storage to be<br />
allocated</STRONG>(this is also true for certain other cases, such as<STRONG><br />
taking the address</STRONG> of a const).</p>
<p><P><STRONG>2 Safety consts　　　　　　　　　　(Page 336)</STRONG></p>
<p>If you initialize a variable with a value that is produced <STRONG>at<br />
runtime</STRONG> and you know it <STRONG>not change for the lifetime of that<br />
variable</STRONG>, it is good programming practice to make it a<br />
<STRONG>const</STRONG> so the compiler will give you an error message if you<br />
accidentally try to change it.</p>
<p><P><STRONG>3 Differences with C&nbsp;　　　　　　　　(Page 338)</STRONG></p>
<p>In C, a const always occupies srotage and its name is global. The C<br />
compiler<STRONG> cannot treat a const as a compile-time constant</STRONG>.</p>
<p>In C, if you say</p>
<p>const int bufsize = 100;</p>
<p>char buf[bufsize];</p>
<p>you will get an error. But is OK in C++.</p>
<p>C defaults to <STRONG>external linkage</STRONG> for const and it always<br />
occupies srotage. So it can not contain in header file.</p>
<p><P><STRONG>4 Const pointers　　　　　　　　　　(Page 340)</STRONG></p>
<p>When using const with pointers, you have two options: <STRONG>const</STRONG><br />
can be applied to <STRONG>what the pointer is pointing to</STRONG>, or the<br />
<STRONG>const</STRONG> can be applied to the <STRONG>address stored in the<br />
pointer itself</STRONG>.</p>
<p><STRONG>pointer to const</STRONG></p>
<p>const int * u;　　　　　　(normal)</p>
<p>int const * u;　　　　　　(rare)</p>
<p><STRONG>const pointer</STRONG></p>
<p>int d = 1;</p>
<p>int * const u = &amp;d;</p>
<p><STRONG>assignment and type checking　　　　　　　　　　(Page 343)</STRONG></p>
<p>C++ is very particular about type checking, and this extends to pointer<br />
assignments. You can assign the address of a non-const object to a const pointer<br />
because you‘re simply promising not to change something that is OK to change.<br />
However, you cannot assign the address of a const object to a non-const pointer<br />
because then you are saying you might change the object via the pointer.</p>
<p><STRONG>character array literals　　　　　　　　　　　　　　(Page 343)</STRONG></p>
<p>character array literals are actually constant character arrays. If you try<br />
to change the values in a chraacter array literal, the behavior is<br />
undefined.</p>
<p>char * cp = "howdy";</p>
<p><STRONG>the compiler does not allocate storage for cp;</STRONG></p>
<p>change what pointer cp points at is undifined. If you want to be able to<br />
modify the string, put it in an array:</p>
<p>char cp[] = "howdy";</p>
<p><STRONG>the compiler has allocate storage for cp.</STRONG></p>
<p><P><STRONG>5 Function arguments &amp; return values</STRONG></p>
<p><STRONG>6 Classes</STRONG></p>
<p><STRONG>const member variables, const class object, const member<br />
function</STRONG></p>
<p><STRONG>const member variables</STRONG></p>
<p>Inside a class, const partially reverts to its meaning in C. It<br />
<STRONG>allocates storage within each object and represents a value that is<br />
initialized once and then cannot change</STRONG>. The use of const inside a<br />
class means "This is constant for the lifetime of the object". However, we may<br />
wish that each different object contain a different value for that constant.</p>
<p>Thus, when you create an ordinary <STRONG>(non-static) const</STRONG> inside<br />
a class, you <STRONG>cannot give it an initial value</STRONG>. This<br />
<STRONG>initialization must occur in the constructor initializer<br />
list</STRONG>.</p>
<p>for example,</p>
<p>class Fred{</p>
<p>　　const int size;</p>
<p>public:</p>
<p>　　Fred(int sz);</p>
<p>};</p>
<p>Fred::Fred(int sz):size(sz){}</p>
<p>void main()</p>
<p>{</p>
<p>　　Fred a(1);</p>
<p>}</p>
<p><STRONG>Compile-time constants in classes</STRONG></p>
<p><STRONG>static const variable</STRONG> means "there is only one instance,<br />
regardless of how many objects of the class are created," which is precisely<br />
what we need here: a member of a class which is constant, and which cannot<br />
change from one object of the class to another. Thus a static const of a<br />
built-in type can be treated as a compile-time constant.</p>
<p>you must <STRONG>provide the initializer at the point of definition of the<br />
static const</STRONG>. As a constract, all other data member in class must be<br />
initialized in the constructor or in other member functions.</p>
<p>const object &amp; const member functions</p>
<p>A const member function cannot modify any member variables.</p>
<p>A const object is defined the same for &nbsp;a user-defined type as a<br />
built-in type. And it can only call const member function.</p>
<p>for example,</p>
<p>class X{</p>
<p>　　int i;</p>
<p>public:</p>
<p>　　X(int ii);</p>
<p>　　int f() const;</p>
<p>　　int modify();</p>
<p>};</p>
<p>X::X(int ii):i(ii){};</p>
<p>X::f() const {return i;}　　　　　　// the const member function can not modify<br />
data.</p>
<p>X::modify() { i++;}</p>
<p>void main()</p>
<p>{</p>
<p>　　X x1(10);</p>
<p>　　const X x2(20);</p>
<p>　　x1.f();　　　　　　　// OK</p>
<p>　　x2.f();　　　　　　　// OK</p>
<p>　　x2.modify();　　　　// error</p>
<p>}</p>
<p>Neither constructors nor destructors can be const member functions because<br />
they virtually always perform some modification on the object during<br />
initialization and cleanup.</p>
<p><P><STRONG>6 volatile</STRONG></p>
<p><STRONG>it means "This data may change outside the knowledge of the<br />
compiler."</STRONG></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 11:13:33 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/get/" title="get">get</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Constants in C++的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/L3rQRl0.html" rel="bookmark">Java中的Constants类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.遇到代码中的问题 String userName = (String) request.getParameter(&quot;userName&quot;); String passWord = (String) request.getParameter(&quot;passWord&quot;); String inputKaptcha = (String) request.getParameter(&quot;kaptcha&quot;); //下面这句代码是什么意思??? String sess			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vKaWg4.html" rel="bookmark">Variable hoisting Global variables Constants</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Another unusual thing about variables in JavaScript is that you can refer to a variable declared later, without getting an exception. This concept is known as hoisting; variables in JavaScript are in a sense &quot;hoisted&quot; or lifted to the top of the			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35qGaj3.html" rel="bookmark">&lbrack;C&plus;&plus;&rsqb; 用Xcode来写C&plus;&plus;程序&lbrack;3&rsqb; Constants</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用Xcode来写C++程序[3] Constants 以下是一些基本数据的含义: 75 // int 75u // unsigned int 75l // long 75ul // unsigned long 75lu // unsigned long 3.14159 // 3.14159 6.02e23 // 6.02 x 10^23 1.6e-19 // 1.6 x 10^-19 3.0 // 3.0 3.14159L // long double 6.02e23f // float 'z'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JyX8P3.html" rel="bookmark">A Tour of Go  Numeric Constants</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Numeric constants are high-precision values. An untyped constant takes the type needed by its context. Try printing needInt(Big) too. package main import &quot;fmt&quot; const ( Big = 1 &lt;&lt; 100 Small = Big &gt;&gt; 99 ) func needInt(x int) int { retu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo5EYP3.html" rel="bookmark">some OpenGL constants</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				some OpenGL constants This is from (https://github.com/peterderivaz/pyopengles/blob/master/gl2.py) 1 GL_DEPTH_BUFFER_BIT = 0x00000100 2 GL_STENCIL_BUFFER_BIT = 0x00000400 3 GL_COLOR_BUFFER_BIT = 0x00004000 4 GL_POINTS = 0x0000 5 GL_LINES = 0x0001 6 G			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49eQJn4.html" rel="bookmark">Java 语法 索引 ----- 常量&lpar;Constants&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过关键字Final我们可以使变量成为常量.这意味着无法再给这个变量赋值,不然编译器就会报错. class MyClass { final double E = 2.72; // run-time constant 运行常量 final static double C = 3e8; // compile-time constant 编译常量 } 参考文献: Java Quick Syntax Reference by Mikael Olsson Java 语法 索引 ----- 常量(Const			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MynxYn0.html" rel="bookmark">Constants and the C Preprocessor</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 #include &lt;stdio.h&gt; 2 #define PI 3.14159 3 int main(void){ 4 float area, circum, radius; 5 6 printf(&quot;What is the radius of your pizza&gt;\n&quot;); 7 scanf(&quot;%f&quot;, &amp;radius); 8 area = PI * radius * radius; 9 circum = 2 * PI *radius;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLQKWd0.html" rel="bookmark">TYPES、DATA、TYPE、LIKE、CONSTANTS、STATICS、TABLES</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				声明:原创作品,转载时请注明文章来自SAP师太技术博客:www.cnblogs.com/jiangzhengjun,并以超链接形式标明文章原始出处,否则将追究法律责任!原文链接:http://www.cnblogs.com/jiangzhengjun/p/4292833.html TYPES.DATA.TYPE.LIKE. 42 创建数据类型与变量... 44 TYPES 语句... 44 DATA 语句... 46 CONSTANTS 语句... 48 STATICS 语句... 48 TAB			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q1eK73.html" rel="bookmark">接口测试-自动化-Java实现-Constants&period;java&sol;RecordStore&period;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Constants.java 是一些接口测试中的URL和参数等. public class Constants { public static final String BASE_URL = &quot;http://192.168.1.116:8080/cloudalbums/website/&quot;; /** * 登录模块 */ //登录接口 public static final String LOGIN_URL = BASE_URL + &quot;user/login1&quot;; pub			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949RGJM.html" rel="bookmark" class="title">第一次随笔</a>
					<div>
						自我目标 学习不是一个暂时性的词,而是一个持续性的动作,学习重要在过程而不是专注于结果. 虽然还没有接触这门课程,但是软件工程这么课程毕竟离不开编程,我想要在这一个学期里把自己所学的编程语言更上一层楼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMgdDL0.html" rel="bookmark" class="title">SuperSocket入门（二）- 探索AppServer、AppSession，Conmmand和App&period;config</a>
					<div>
						在上一篇文章中,我们已经了解到了如何在SuperSocket处理客户端请求. 同时我们可能会发现一个问题,如果我们的服务器端包含有很多复杂的业务逻辑,这样的switch/case代码将会很长而且非常难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pvPKK0.html" rel="bookmark" class="title">iOS开发中，应用内直接跳转到Appstore</a>
					<div>
						//1.进入appstore中指定的应用 NSString *str = [NSString stringWithFormat: @&quot;itms-apps://ax.itunes.apple. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmbQoM.html" rel="bookmark" class="title">数据分析报告格式zz</a>
					<div>
						分析报告的输出是是你整个分析过程的成果,是评定一个产品.一个运营事件的定性结论,很可能是产品决策的参考依据,既然这么重要那当然要写好它了. 我认为一份好的分析报告,有以下一些要点: 首先,要有一个好的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzaV9y4.html" rel="bookmark" class="title">Source Insight 项目简单使用说明</a>
					<div>
						SI(Source Insight) 是我一直写代码的好伙伴, 相信这强大的软件也是广大程序员编写软件的利器. 正所谓&quot; 工欲善其事, 必先利其器&quot;, 我们要学会利用这款软件. 先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZjGp3.html" rel="bookmark" class="title">MySQL新增用户以及数据库访问授权</a>
					<div>
						# mysql -u root -p # 允许本地 IP 访问 localhost, 127.0.0.1 # insert into mysql.user(Host,User,Password) va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NYZyM.html" rel="bookmark" class="title">leetcode：Compare Version Numbers</a>
					<div>
						Compare two version numbers version1 and version2.If version1 &gt; version2 return 1, if version1 &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JzjDB4.html" rel="bookmark" class="title">C&plus;&plus;primer第八章 标准 IO 库</a>
					<div>
						前面的程序已经使用了多种 IO 标准库提供的工具: • istream(输入流)类型,提供输入操作. • ostream(输出流)类型,提供输出操作. • cin(发音为 see-in):读入标准输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVgqyM.html" rel="bookmark" class="title">常用的17大学术搜索引擎</a>
					<div>
						1.http://scholar.google.com/ 虽然还是Beta版,但个人已觉得现在已经是很好很强大了,Google学术搜索滤掉了普通搜索结果中大量的垃圾信息,排列出文章的不同版本以及被其它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7Eva4.html" rel="bookmark" class="title">Azure Service Fabric</a>
					<div>
						Concept: Node - a smallest unit within a cluster to provide compute capablity Nodetype - a logical n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxzgD0.html" rel="bookmark" class="title">51nod 1118 机器人走方格</a>
					<div>
						基准时间限制:1 秒 空间限制:131072 KB 分值: 0 难度:基础题 M * N的方格,一个机器人从左上走到右下,只能向右或向下走.有多少种不同的走法?由于方法数量可能很大,只需要输出Mod  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqRYZ3.html" rel="bookmark" class="title">添加html元素</a>
					<div>
						html: &lt;div id='divContainer'&gt; &lt;/div&gt; 1.使用DOM对象添加元素 var el = document.createElement('div' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZYXb3.html" rel="bookmark" class="title">phpstudy运行时80端口被占用怎么办？</a>
					<div>
						运行是PHPstudy提示80端口被占用,程序无法运行. 然后,点击“确定”后,进入cmd的界面,在输入“netstat -ano”,再按回车键: 按回车键后,会显示当前电脑中程序占用的端口和程序ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7vd10.html" rel="bookmark" class="title">android自带的处理Bitmap out Memory 的处理&comma;我仅仅是改变了些写法成为自己用的东西</a>
					<div>
						每天上万次的启动载入证明这个载入是不错的; 第三方的载入框架非常多,推荐使用成熟框架,比方大家都知道的ImageLoad等, 这里的仅仅供学习; 我也曾在一个菜谱的项目里写过载入手机相冊图片的,只是当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEk7R3.html" rel="bookmark" class="title">oracle创建表空间 导入数据库</a>
					<div>
						1首先需要以系统用户进入oracle 2 然后是创建表空间 创建表空间需要创建两个一个临时表空间 一个表空间 --创建表空间 create tablespace abc  datafile 'D:\t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkwX83.html" rel="bookmark" class="title">自动化集成部署udeployer 批量统一安装一键部署</a>
					<div>
						通过jenkins构建项目:version版本控制:udployer自动化集成:ucop业务巡检做到高效高可用的自动化体系. 1.0版本: 逻辑与业务分离,完美实现逻辑与业务分离,业务实现统一shel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/472RnD3.html" rel="bookmark" class="title">Linux中的find命令</a>
					<div>
						Linux是一个“一切皆文件的系统”,Linux中标识文件不通过后缀,find命令若不指定查找目录的情况下是针对整个系统进行查找. 一.命令格式 find pathname _options[-pri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pDnXK4.html" rel="bookmark" class="title">关于安卓开发实现列表视图</a>
					<div>
						列表视图(ListView)以垂直的形式列出需要显示的列表项. 在安卓中,有两种方法可以在屏幕中添加列表视图 1.直接用ListView组件创建 2.让Activity继承ListActivity实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgqAJ83.html" rel="bookmark" class="title">LINUX SHELL条件判断</a>
					<div>
						算术运算的条件判断 [] [[]]: -eq -ne -lt -le -gt -ge (( )):&gt;&lt;&gt;=&lt;== [[email protected] ~]# if (( 2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41EvwY4.html" rel="bookmark" class="title">Spring 第一个程序-Bean的定义和注册</a>
					<div>
						定义一个实现接口的方法 创建xml文件,这个xml文件就是个所谓的容器         不使用spring容器和使用spring容器创建对象执行代码的区别如下:   下面说一下ApplicationC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
